Bug 1585491 - GNOME Login crashes in F28
Summary: GNOME Login crashes in F28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-03 15:29 UTC by Andrea
Modified: 2019-05-28 22:44 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:44:57 UTC


Attachments (Terms of Use)
journal -xb around the crassh (4.74 KB, text/plain)
2018-06-03 15:29 UTC, Andrea
no flags Details
clutter stack traces (135.91 KB, text/plain)
2018-06-08 18:10 UTC, Andrea
no flags Details

Description Andrea 2018-06-03 15:29:05 UTC
Created attachment 1447202 [details]
journal -xb around the crassh

Description of problem:

After the correct password is typed it, rather than entering the GNOME desktop it goes back immediately to the login as if the Desktop crashed.

It does not happen always, but as soon as this happens, the only solution is to reboot.

And although it affects all users, other users might still be able to connect until it happens to them as well.

Affected users can still connect to other Desktops like Plasma.
It does not matter if I select GNOME or GNOME XOrg.

Only happened since the upgrade (via dnf) to Fedora 28

Version-Release number of selected component (if applicable):

Fedora 28 fully updated as of 03/06/2018

How reproducible:

Once it happens, always till a reboot.

Steps to Reproduce:
1. Select user to log on, type password
2. enter
3. Back to user list

Actual results:

Back to user list

Expected results:

GNOME Desktop

Additional info:

Attached the relevant part of the journal.
The user attempting a connection is jackie

The folder ${HOME}/.local/share/gnome-shell/extensions does not exist.

Comment 1 Andrea 2018-06-03 15:50:26 UTC
And I do not have an NVIDIA card.
Mine is an Intel Integrated Graphics card.

Comment 2 Alessio 2018-06-03 18:38:56 UTC
Same issue here. I already was on F28, but after a dnf update performed just this morning, I spotted this issue. I'm able to login (gnome) after 3 or 4 attempts.
Once logged in, abrt pops up, but I'm unable to submit a report due to the fact that, I can't remembered just now, sorry, the dump is unusable.

Comment 3 Andrea 2018-06-03 19:20:14 UTC
I've got another observation: often but not always linked to the above issue, when I click on the user name to get the prompt for the password, before I even type a character it say "authentication failure".

Then I can type the password and "attempt" the login.

Comment 4 Andrea 2018-06-08 18:09:51 UTC
So I have reinstalled everything and wiped clean the home folder of most users.

And it is happening again.

I've noticed in the journal a lot of these crashes, but I don't know if they are related

Object Clutter.Clone (0x5602e9f6a440), has been already finalized. Impossible to get any property from it.

with some sort of stack traces (attached)

Anyone?

Comment 5 Andrea 2018-06-08 18:10:39 UTC
Created attachment 1449199 [details]
clutter stack traces

Comment 6 Antonin 2018-06-09 06:34:09 UTC
Try to remove GNOME Extensions (see https://bugzilla.redhat.com/show_bug.cgi?id=1573683#c2). It helps me.

Comment 7 Andrea 2018-06-09 07:58:24 UTC
Nope,

I've already said that this is a complete new installation of F28 + removing all the "." files and folders from user directories.

It does not happen all the times, but once it happens, that user cannot login (to GNOME) until a reboot.

Comment 8 rugk 2018-07-29 19:03:14 UTC
I came from https://lists.fedoraproject.org/archives/list/users@lists.fedoraproject.org/thread/7YBFLRXBKWNB62JMMY2ICE6RZAWG2UEX/ here. Switching user when another user is still logged in results in crash…

And I have the same issue and even the same issues, as another one has been mentioned.

> when I click on the user name to get the prompt for the password, before I even type a character it say "authentication failure".

I've reported this in https://gitlab.gnome.org/GNOME/gdm/issues/405 and yes, it just always happens when I log out.

And afterwards, I **always** cannot login.

Some more points:
* I can *always* login, if  log out as a user before.
* I have disabled *all* GNOME extensions (via the global switch in GNOME Tweak), and the issue still happens.
* AFAIK, this red error also happens when I logout though, so it is not connected to the original issue.
* In my case, it always prevents me from logging in into any user.
* I can only restart to be able to login again.

Nvidia GPU, Novau, Flatpak, …

Comment 9 rugk 2018-07-29 19:34:55 UTC
Okay, I am getting closer and it is getting even stranger.
First, I want to make you aware that when this thing "crashes" it actually may only look like it crashes, because actually nothing bad happens.

Here is how it loks like:
* GDM
* -> Select user, enter PW.
* For some milliseconds a terminal screen seems to appear and display some text. 
The first line seems to contain some red text. There are about 4-5 lines in general, the lower ones seem to be just white status messages.
* This switches back very fast, so one cannot read the real text, but only see the fragments while it is switching. That's wey I can only describe colors.

----

When at gdm, I tried switching to virtual consoles via Ctrl+Alt+F1…
And this works flawlessly!!!

So I found out:
1. F1 – Here is the gdm login screen, where I can select the user.
2. F2 – Here is User1.
3. F3 – Here is User2.

However, switching via the Ctrl+Alt+… shortcut, did not always work. I sometimes had to press it multiple times, or e.g. to switch from F3 to F2, first switch to F1.

I know I now my sound crazy, but as for the last thing I noticed another thing: Maybe it does not depend on the way I am switching, but how I press the keyboard keys:
1. I press Ctrl+Alt+F3, I keep Ctrl+Alt pressed.
2. Now I've repeatedly pressed F2 (keeping Ctrl+Alt pressed), in order to switch to User1, but that does not work.
3. When I release the Ctrl+Alt keys and press all three keys together, it works.

Note that i verified that switching users via gdm, still does not work.


So with my novice knowle

Comment 10 rugk 2018-07-29 19:37:07 UTC
…I'd say gdm cannot switch the virtual terminals. It fails and jumps back to F1.

I found these log messages afterwards: https://hostux.pics/image/WR

Comment 11 drhitzs 2018-10-04 17:02:37 UTC
I have the same problem that I can not login to the GNOME GUI in Fedora 28.  I can login in txt mode.  In the logs, I see the same stack trace as listed above.  This  is most likely a timing problem in GNOME or some other component since I have logged on successfully once in dozens of attempts.  This problem started in Fedora 27 after kernel 4.14.13-300.fc27.x86_64.  This bug is similar to bug 1539258.  I am going to try to pursue the 'fix' that is listed there. Thanks to all who have listed their experiences with this bug.

Comment 12 Ben Cotton 2019-05-02 20:44:42 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-05-28 22:44:57 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.